%global pkg_name        Rose-HTML-Objects
%global pkg_version     0.550
%global rpm_pkg_version 0.55_0
%global rpm_pkg_release 1.n0i.4

Summary:       Object-oriented HTML form and field widgets
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JS/JSIRACUSA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Carp)
BuildRequires: perl(Clone::PP)
BuildRequires: perl(Email::Valid)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Image::Size)
BuildRequires: perl(Rose::DateTime) >= 0.532
BuildRequires: perl(Rose::Object) >= 0.82
BuildRequires: perl(Rose::URI) >= 0.021
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(URI::Escape)


%description
The "Rose::HTML::Object::*" family of classes represent HTML tags, or
groups of tags. These objects allow HTML to be arbitrarily manipulated,
then serialized to actual HTML (or XHTML).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Fri Oct 19 2007 Marius Feraru <altblue@n0i.net> - 0.55_0-1.n0i.4.0.550
- version 0.550

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.54_9-1.n0i.3.0.549
- version 0.549

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.54_8-1.n0i.2.0.548
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.548

* Mon Jul 03 2006 Marius Feraru <altblue@n0i.net> - 0.53-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
